package mapped;

import net.runelite.mapping.ObfuscatedGetter;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSStudioGame;

@ObfuscatedName("nt")
public class StudioGame implements MouseWheel, RSStudioGame {
   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "Lnt;"
   )
   static final StudioGame ash;
   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "Lnt;"
   )
   static final StudioGame stellardawn;
   @ObfuscatedName("ar")
   @ObfuscatedSignature(
      descriptor = "Lnt;"
   )
   static final StudioGame game3;
   @ObfuscatedName("ao")
   @ObfuscatedSignature(
      descriptor = "Lnt;"
   )
   static final StudioGame game4;
   @ObfuscatedName("ab")
   @ObfuscatedSignature(
      descriptor = "Lnt;"
   )
   static final StudioGame game5;
   @ObfuscatedName("au")
   @ObfuscatedSignature(
      descriptor = "Lnt;"
   )
   public static final StudioGame oldscape;
   @ObfuscatedName("aa")
   public final String name;
   @ObfuscatedName("ac")
   @ObfuscatedGetter(
      intValue = -1225878901
   )
   final int id;

   static {
      ash = new StudioGame("ash", "Ash", 0);
      stellardawn = new StudioGame("stellardawn", "Stellar Dawn", 1);
      game3 = new StudioGame("game3", "Game 3", 2);
      game4 = new StudioGame("game4", "Game 4", 3);
      game5 = new StudioGame("game5", "Game 5", 4);
      oldscape = new StudioGame("oldscape", "Ash 2007", 5);
   }

   StudioGame(String var1, String var2, int var3) {
      this.name = var1;
      this.id = var3;
   }

   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "(B)I",
      garbageValue = "-11"
   )
   public int rsOrdinal_base() {
      return this.id;
   }
}
